const darkTheme = {
  brand: '#546de5',
  text: '#d4d4d4',
  textLink: '#569cd6',
  bg: '#1e1e1e',

  menubar: {
    bg: '#333333',
  },

  sidebar: {
    color: '#ccc',

    workspace: {
      bg: '#3D3D3D'
    },

    search: {
      border: '1px solid transparent',
      bg: '#3D3D3D'
    },

    collection: {
      item: {
        bg: '#37373D',
        hoverBg: '#2A2D2F',
        indentBorder: 'solid 1px #585858',
        active: {
          indentBorder: 'solid 1px #4c4c4c'
        }
      }
    }
  },

  welcome: {
    heading: '#569cd6',
    muted: '#9d9d9d'
  },

  dropdown: {
    color: "rgb(204, 204, 204)",
    iconColor: "rgb(204, 204, 204)",
    bg: 'rgb(48, 48, 49)',
    hoverBg: '#0F395E',
    shadow: 'rgb(0 0 0 / 36%) 0px 2px 8px',
    seperator: '#444'
  },

  request: {
    methods: {
      get: '#8cd656',
      post: '#cd56d6',
      put: '#d69956',
      delete: '#f06f57'
    }
  },

  requestTabPanel: {
    url: {
      bg: '#3D3D3D',
      icon: 'rgb(204, 204, 204)'
    },
    dragbar: {
      border: '#444',
      activeBorder: '#8a8a8a'
    },
    bodyModeSelect: {
      color: 'transparent'
    },
    responseSendIcon: '#555',
    responseStatus: '#ccc',
    responseOk: '#8cd656',
    responseError: '#f06f57'
  },

  collection: {
    environment: {
      bg: '#3D3D3D'
    }
  },

  modal: {
    title: {
      color: '#ccc',
      bg: 'rgb(48, 48, 49)',
      iconColor: '#ccc'
    },
    body: {
      color: '#ccc',
      bg: 'rgb(48, 48, 49)',
    },
    input : {
      bg: 'rgb(65, 65, 65)',
      border: 'rgb(65, 65, 65)',
      focusBorder: 'rgb(65, 65, 65)'
    }
  },

  button: {
    secondary: {
      color: 'rgb(204, 204, 204)',
      bg: '#0F395E',
      border: '#0F395E',
      hoverBorder: '#696969'
    },
    close: {
      color: '#ccc',
      bg: 'transparent',
      border: 'transparent',
      hoverBorder: ''
    }
  },

  tabs: {
    active: {
      color: '#ccc',
      border: '#569cd6'
    }
  },

  requestTabs: {
    color: '#ccc',
    bg: '#2A2D2F',
    borromBorder: '#444',
    icon: {
      color: '#9f9f9f',
      hoverColor: 'rgb(204, 204, 204)',
      hoverBg: '#1e1e1e'
    },
    active: {
      bg: '#3D3D3D'
    },
    shortTab: {
      color: '#ccc',
      bg: 'transparent',
      hoverColor: '#ccc',
      hoverBg: '#3D3D3D'
    }
  },

  codemirror: {
    bg: '#1e1e1e',
    border: 'transparent',
    gutter: {
      bg: '#1e1e1e'
    }
  },

  table: {
    border: '#333',
    thead : {
      color: 'rgb(204, 204, 204)'
    },
    striped: '#2A2D2F'
  },

  'primary-text': '#ffffff',
  'secondary-text': '#929292',
  'sidebar-collection-item-active-background': '#e1e1e1',
  'sidebar-background': '#252526',
  'sidebar-bottom-bg': '#68217a',
  'request-dragbar-background': '#efefef',
  'request-dragbar-background-active': 'rgb(200, 200, 200)',
  'tab-inactive': 'rgb(155 155 155)',
  'tab-active-border': '#546de5',
  'layout-border': '#dedede',
  'codemirror-border': '#efefef',
  'codemirror-background': 'rgb(243, 243, 243)',
  'text-link': '#1663bb',
  'text-danger': 'rgb(185, 28, 28)',
  'background-danger': '#dc3545',
  'method-get': 'rgb(5, 150, 105)',
  'method-post': '#8e44ad',
  'method-delete': 'rgb(185, 28, 28)',
  'method-patch': 'rgb(52 52 52)',
  'method-options': 'rgb(52 52 52)',
  'method-head': 'rgb(52 52 52)',
  'table-stripe': '#f3f3f3'
};

export default darkTheme;
